%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name DB_DataObject_FormBuilder

# Test cannot be run during rpmbuild
# DB access is required

Name:           php-pear-DB-DataObject-FormBuilder
Version:        1.0.2
Release:        5%{?dist}
Summary:        Automatically build HTML_QuickForm objects

Group:          Development/Libraries
License:        LGPLv2
URL:            http://pear.php.net/package/DB_DataObject_FormBuilder
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Source2:        xml2changelog

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear

Requires:       php-pear(PEAR)
Requires:       php-pear(DB_DataObject) >= 1.8.5
Requires:       php-pear(HTML_QuickForm) >= 3.2.4
Requires:       php-pear(Date) >= 1.4.7
Requires:       php-pear(HTML_Table) >= 1.7.5
Requires:       php-pear(HTML_QuickForm_ElementGrid) >= 0.1.0
Requires(post): %{__pear}
Requires(postun): %{__pear}
# phpci detected extensions
Requires:       php-date, php-pcre

Provides:       php-pear(%{pear_name}) = %{version}


%description
DB_DataObject_FormBuilder will aid you in rapid application development using
the packages DB_DataObject and HTML_QuickForm. For having a quick but working
prototype of your application, simply model the database, run DataObject's
createTable script over it and write a script that passes one of the resulting
objects to the FormBuilder class. The FormBuilder will automatically generate
a simple but working HTML_QuickForm object that you can use to test your
application. It also provides a processing method that will automatically
detect if an insert() or update() command has to be executed after the form
has been submitted. If you have set up DataObject's links.ini file correctly,
it will also automatically detect if a table field is a foreign key and will
populate a selectbox with the linked table's entries. There are many optional
parameters that you can place in your DataObjects.ini or in the properties of
your derived classes, that you can use to fine-tune the form-generation,
gradually turning the prototypes into fully-featured forms, and you can take
control at any stage of the process.


%prep
%setup -qc
%{_bindir}/php -n %{SOURCE2} package.xml | tee CHANGELOG | head -n 10

cd %{pear_name}-%{version}
# package.xml is V2
mv ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf $RPM_BUILD_ROOT
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_metadir}/.??*

# Install XML package description
install -d $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}

# Fix rpmlint Errors
chmod +x $RPM_BUILD_ROOT%{pear_datadir}/%{pear_name}/tools/*.php


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc CHANGELOG
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/DB/DataObject/FormBuilder*
%{pear_testdir}/%{pear_name}
# this are tools, not used, probably could be moved to doc
%{pear_datadir}/%{pear_name}


%changelog
* Tue Feb 19 2013 Remi Collet <remi@fedoraproject.org> - 1.0.2-5
- fix metadata location

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Aug 19 2012 Remi Collet <remi@fedoraproject.org> - 1.0.2-3
- rebuilt for new pear_datadir

* Tue Aug 14 2012 Remi Collet <remi@fedoraproject.org> - 1.0.2-2
- rebuilt for new pear_testdir

* Sat Aug 04 2012 Remi Collet <remi@fedoraproject.org> - 1.0.2-1
- Version 1.0.2 (stable) - API 1.0.0 (stable)
- doc in /usr/share/doc/pear

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Oct 29 2010 Remi Collet <Fedora@FamilleCollet.com> - 1.0.1-1
- Version 1.0.1 (stable) - API 1.0.0 (stable)
- add generated Changelog

* Tue Aug 31 2010 Remi Collet <Fedora@FamilleCollet.com> - 1.0.0-2
- clean define
- rename DB_DataObject_FormBuilder.xml 
  to php-pear-DB-DataObject-FormBuilder.xml
- set date.timezone during build

* Sat Sep 05 2009 Christopher Stone <chris.stone@gmail.com> 1.0.0-1
- Upstream sync

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.8.RC7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.7.RC7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jun 13 2008 Jon Stanley <jonstanley@gmail.com> - 1.0.0-0.6.RC7
- Rebuild
- Fix license tag

* Sun May 06 2007 Christopher Stone <chris.stone@gmail.com> 1.0.0-0.5.RC7
- Require new HTML_QuickForm_ElementGrid package

* Mon Apr 02 2007 Christopher Stone <chris.stone@gmail.com> 1.0.0-0.4.RC7
- Upstream sync

* Sun Jan 14 2007 Christopher Stone <chris.stone@gmail.com> 1.0.0-0.3.RC6
- Add new documentation, data and test files

* Sun Jan 14 2007 Christopher Stone <chris.stone@gmail.com> 1.0.0-0.2.RC6
- Upstream sync
- License is now LGPL
- Use versioned Requires

* Sun Oct 29 2006 Christopher Stone <chris.stone@gmail.com> 1.0.0-0.1.RC5
- Initial Release
